Subject: Can't link
From: [email-masked] (John Goerzen)

26 Jan 1998 12:07:36 -0800
Message-ID: <[email-masked]>
To: [email-masked]

[ NOTE: Please CC a copy of your reply to me since I am not subscribed 
to the list. ]

Briefly: I am using the Cygnus cross-compiler under Linux to generate
win32 code.  I am compiling ssh.  I have made everything work fine
until the very last step which bombs like this:

/usr/bin/i386-unknown-cygwin32-gcc -pipe  -o ssh ssh.o sshconnect.o log-client.o readconf.o hostfile.o readpass.o tildexpand.o clientloop.o canohost.o random.o socketpair.o idea.o rsa.o randoms.o md5.o buffer.o emulate.o packet.o compress.o xmalloc.o ttymodes.o newchannels.o bufaux.o authfd.o authfile.o crc32.o rsaglue.o tss.o cipher.o des.o match.o arcfour.o mpaux.o userfile.o signals.o blowfish.o \
         -Lgmp-2.0.2-ssh-2 -lgmp -Lzlib-1.0.4 -lz  -L/usr/i386-unknown-cygwin32/lib /usr/i386-unknown-cygwin32/lib/libwsock32.a /usr/i386-unknown-cygwin32/lib/libuser32.a
canohost.o(.text+0x305):canohost.c: undefined reference to `cygwin32_getsockopt'
collect2: ld returned 1 exit status
make: *** [ssh] Error 1

The only file that I can see from the Cygnus distribution that
includes cygwin32_getsockopt is cygwin.dll, which obviously cannot be
linked by the cross-compiler (I even tried!)  How do I fix this
problem?

Thanks,
John Goerzen

-- 
John Goerzen
Southwind Internet Access, Inc,
Business e-mail: [email-masked]

Personal e-mail: [email-masked]
Wichita State University e-mail: [email-masked]
Developer, Debian GNU/Linux    <http://www.debian.org>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".